package com.sqx.modules.bl.commission.jjr.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sqx.modules.bl.commission.jjr.entity.JjrApply;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface JjrApplyDao extends BaseMapper<JjrApply> {
    IPage<JjrApply> findPage(Page<JjrApply> page, @Param("params") JjrApply jjrApply);
    List<JjrApply> findList(JjrApply jjrApply);
    int add(JjrApply jjrApply);
    int update(JjrApply jjrApply);
    int approve(JjrApply jjrApply);
    IPage<JjrApply> findUserPage(Page<JjrApply> page, @Param("params") JjrApply jjrApply);
    int setRate(JjrApply jjrApply);
}